Bug 1255665 - StateTransferManager.waitForInitialTransferToComplete can fail if the coordinator crashes
StateTransferManager.waitForInitialTransferToComplete can fail if the coordin...
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan (Show other bugs)
6.5.1
Unspecified Unspecified
unspecified Severity unspecified
: CR1
: 6.5.1
Assigned To: Dan Berindei
Martin Gencur
:
Depends On:
Blocks: 1259418
  Show dependency treegraph
 
Reported: 2015-08-21 05:38 EDT by Vojtech Juranek
Modified: 2015-11-08 20:12 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1259418 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-5459 Critical Resolved StateTransferManager.waitForInitialTransferToComplete can fail if the coordinator crashes 2016-01-05 11:01 EST

  None (edit)
Description Vojtech Juranek 2015-08-21 05:38:43 EDT
Please see https://issues.jboss.org/browse/ISPN-5459

Same issue is present in JDG 6.5.1.ER1, ClusterListenerDistTxAddListenerTest.testNodeJoiningAndStateNodeDiesWithExistingClusterListener fails with the same exception
Comment 2 Dan Berindei 2015-09-02 10:39:25 EDT
PR: https://github.com/infinispan/jdg/pull/735

Note You need to log in before you can comment on or make changes to this bug.